MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028499Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2017-03-01 18:232018-06-29 21:19
Reportermsv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0028499: Checkshape incorrectly reports BRepCheck_NotClosed when gap is covered by vertex tolerance
DescriptionFor the attached face, checkshape reports BRepCheck_NotClosed for the wire of the face.
Really the gap between edges is covered by their common vertex tolerance (0.000394386026756954).
The checking algorithm checks the distance in 2D space that can be significantly distorted. It is needed to check distance only in 3D space.
Steps To ReproduceTest case

bugs modalg_7 bug28499
TagsNo tags attached.
Test case numberbugs modalg_7 bug28499
Attached Filespng file icon gap_3d.PNG (6,897 bytes) 2017-03-01 18:23
? file icon bug28499.brep (31,020 bytes) 2017-12-26 11:32

- Relationships

-  Notes
(0066201)
git (administrator)
2017-05-17 14:57

Branch CR28499 has been created by mpa.

SHA-1: cde3f22d3673962c47cbfdb7e1957cd2a69f5606


Detailed log of new commits:

Author: mpa
Date: Wed May 17 14:56:02 2017 +0300

    0028499: Checkshape incorrectly reports BRepCheck_NotClosed when gap is covered by vertex tolerance
    
(0066206)
mpa (developer)
2017-05-17 15:14

In the attached script the distance between two vertices(0.0003944) is more that 3D tolerance(0.0003943). Thus, current example don't show the problem.
But theoretically this bug can be reproduced for the other case.
(0066292)
msv (developer)
2017-05-18 18:05

Please consider verbal remarks.
(0072458)
msv (developer)
2017-11-24 11:17

Dear Igor, please consider this bug along with related #28722.
(0072996)
git (administrator)
2017-12-15 10:25

Branch CR28499 has been updated forcibly by ifv.

SHA-1: 93dd583f1b465e401928e6f111b0522c8ac283ac
(0073000)
git (administrator)
2017-12-15 13:33

Branch CR28499 has been updated forcibly by ifv.

SHA-1: 10366c066faacd13aa43924531f48da085c9ecbf
(0073013)
git (administrator)
2017-12-18 11:47

Branch CR28499 has been updated forcibly by ifv.

SHA-1: dead30aba4f036af2d484c01603df1c5254e2cc9
(0073062)
git (administrator)
2017-12-21 12:06

Branch CR28499 has been updated forcibly by ifv.

SHA-1: 8f46835d04816ecd5e81b29e8ca5cf2da997a2d2
(0073092)
git (administrator)
2017-12-22 17:04

Branch CR28499 has been updated forcibly by ifv.

SHA-1: 10e91673fcdb2f1520150153f048ab4f4a632362
(0073110)
git (administrator)
2017-12-25 14:56

Branch CR28499 has been updated forcibly by ifv.

SHA-1: 29997f1a5d861144e236b482493c23224a30cd6b
(0073136)
git (administrator)
2017-12-26 11:34

Branch CR28499 has been updated forcibly by ifv.

SHA-1: 554de85da760f0387b430280659078ed993e0529
(0073140)
ifv (developer)
2017-12-26 11:53

Bramches CR28499 and CR28499-p (product git) are ready for review.
Test results are CR28499-master-IFV (CR28499-p contains only test modification)
(0073154)
msv (developer)
2017-12-26 17:02

Remarks:

src/BRepCheck/BRepCheck_Wire.cxx
- 490,495: use aMDU,aMDV instead of sqrt.
- make a new static function to avoid code duplication in 482-496 and 508-522.

tests/bugs/modalg_7/bug27711
- 1: too wide to do pattern.
- 45: why checkshape has been removed?

tests/bugs/modalg_7/bug28200
- remove the last two lines with showing faulty shapes.
(0073156)
msv (developer)
2017-12-26 17:03

src/BRepCheck/BRepCheck_Wire.cxx
- remove treatment below the line 362.
(0073157)
git (administrator)
2017-12-26 17:14

Branch CR28499 has been updated by ifv.

SHA-1: aa9ccc17ec165e5da3001d488cfc42bb4fafbc56


Detailed log of new commits:

Author: ifv
Date: Tue Dec 26 17:14:18 2017 +0300

    Test Commit

(0073177)
git (administrator)
2017-12-28 10:39

Branch CR28499 has been deleted by ifv.

SHA-1: aa9ccc17ec165e5da3001d488cfc42bb4fafbc56
(0073183)
git (administrator)
2017-12-28 16:21

Branch CR28499 has been created by ifv.

SHA-1: aef8284d6113bf3d3769cee4b38b4177e0b13dd9


Detailed log of new commits:

Author: ifv
Date: Fri Dec 15 10:23:29 2017 +0300

    0028499: Checkshape incorrectly reports BRepCheck_NotClosed when gap is covered by vertex tolerance
    
    Calculation of 2d tolerance is improved
(0073185)
ifv (developer)
2017-12-29 10:24

Branch CR28499 is updated according to remarks.
Test results are on CR28499-master-IFV
(0073196)
git (administrator)
2017-12-29 14:59

Branch CR28499 has been updated forcibly by ifv.

SHA-1: 0b2131b85fc8cffffc520af376b0e5b82fa2628f
(0073198)
ifv (developer)
2017-12-29 15:02

CR28499 is updated
(0073199)
msv (developer)
2017-12-29 15:04

Reviewed.
(0073201)
apn (administrator)
2017-12-29 15:18

Combination -
OCCT branch : CR28499 SHA - aef8284d6113bf3d3769cee4b38b4177e0b13dd9
Products branch : CR28499-p SHA - 925de254fbff0d26b8cd6186c4471f1d2b35d25e
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

Test case:
bugs modalg_7 bug28499 - OK

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18376.299999999635 / 18513.219999999714 [-0.74%]
Products
Total CPU difference: 7466.750000000016 / 7509.540000000005 [-0.57%]
Windows-64-VC10:
OCCT
Total CPU difference: 17989.879318998544 / 17919.33566679854 [+0.39%]
Products
Total CPU difference: 8047.077583499998 / 8016.251785899991 [+0.38%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0073306)
git (administrator)
2018-01-11 11:10

Branch CR28499 has been deleted by kgv.

SHA-1: 0b2131b85fc8cffffc520af376b0e5b82fa2628f

- Related Changesets
occt: master 5d010b1d
Timestamp: 2017-12-15 07:23:29
Author: ifv
Committer: apn
Details ] Diff ]
0028499: Checkshape incorrectly reports BRepCheck_NotClosed when gap is covered by vertex tolerance

Calculation of 2d tolerance is improved
mod - src/BRepCheck/BRepCheck_Wire.cxx Diff ] File ]
mod - tests/bugs/modalg_2/bug472_3 Diff ] File ]
mod - tests/bugs/modalg_7/bug27711 Diff ] File ]
mod - tests/bugs/modalg_7/bug27910 Diff ] File ]
mod - tests/bugs/modalg_7/bug28200 Diff ] File ]
add - tests/bugs/modalg_7/bug28499 Diff ] File ]
mod - tests/de/iges_1/Q3 Diff ] File ]
mod - tests/de/iges_1/R8 Diff ] File ]
mod - tests/de/iges_2/C4 Diff ] File ]
mod - tests/de/iges_2/G2 Diff ] File ]
mod - tests/de/iges_2/H9 Diff ] File ]
mod - tests/de/iges_3/A5 Diff ] File ]
mod - tests/heal/data/advanced/A5 Diff ] File ]
mod - tests/heal/data/advanced/Z6 Diff ] File ]
mod - tests/offset/with_intersect_80/L9 Diff ] File ]
mod - tests/offset/with_intersect_80/N7 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-03-01 18:23 msv New Issue
2017-03-01 18:23 msv Assigned To => msv
2017-03-01 18:23 msv File Added: gap_3d.PNG
2017-03-01 18:23 msv File Added: face_with_gap.brep
2017-04-05 12:54 msv Assigned To msv => mpa
2017-04-05 12:54 msv Status new => assigned
2017-05-17 14:57 git Note Added: 0066201
2017-05-17 15:14 mpa Note Added: 0066206
2017-05-17 15:14 mpa Assigned To mpa => msv
2017-05-17 15:14 mpa Status assigned => resolved
2017-05-17 15:14 mpa Steps to Reproduce Updated View Revisions
2017-05-18 18:05 msv Note Added: 0066292
2017-05-18 18:05 msv Assigned To msv => mpa
2017-05-18 18:05 msv Status resolved => assigned
2017-07-24 09:22 msv Target Version 7.2.0 => 7.3.0
2017-11-24 11:16 msv Relationship added related to 0028722
2017-11-24 11:17 msv Note Added: 0072458
2017-11-24 11:17 msv Assigned To mpa => ifv
2017-12-05 17:08 msv Target Version 7.3.0 => 7.4.0*
2017-12-15 10:25 git Note Added: 0072996
2017-12-15 13:33 git Note Added: 0073000
2017-12-18 11:47 git Note Added: 0073013
2017-12-21 12:06 git Note Added: 0073062
2017-12-22 17:04 git Note Added: 0073092
2017-12-25 14:56 git Note Added: 0073110
2017-12-26 11:32 ifv File Added: bug28499.brep
2017-12-26 11:32 ifv File Deleted: face_with_gap.brep
2017-12-26 11:33 ifv Steps to Reproduce Updated View Revisions
2017-12-26 11:34 git Note Added: 0073136
2017-12-26 11:53 ifv Note Added: 0073140
2017-12-26 11:53 ifv Assigned To ifv => msv
2017-12-26 11:53 ifv Status assigned => resolved
2017-12-26 17:02 msv Note Added: 0073154
2017-12-26 17:02 msv Assigned To msv => ifv
2017-12-26 17:02 msv Status resolved => assigned
2017-12-26 17:03 msv Note Added: 0073156
2017-12-26 17:14 git Note Added: 0073157
2017-12-28 10:39 git Note Added: 0073177
2017-12-28 16:21 git Note Added: 0073183
2017-12-29 10:24 ifv Note Added: 0073185
2017-12-29 10:24 ifv Assigned To ifv => msv
2017-12-29 10:24 ifv Status assigned => resolved
2017-12-29 14:59 git Note Added: 0073196
2017-12-29 15:00 ifv Assigned To msv => ifv
2017-12-29 15:00 ifv Status resolved => assigned
2017-12-29 15:02 ifv Note Added: 0073198
2017-12-29 15:02 ifv Assigned To ifv => msv
2017-12-29 15:02 ifv Status assigned => resolved
2017-12-29 15:04 msv Note Added: 0073199
2017-12-29 15:04 msv Assigned To msv => bugmaster
2017-12-29 15:04 msv Status resolved => reviewed
2017-12-29 15:18 apn Test case number => bugs modalg_7 bug28499
2017-12-29 15:18 apn Note Added: 0073201
2017-12-29 15:18 apn Status reviewed => tested
2017-12-30 18:43 apn Changeset attached => occt master 5d010b1d
2017-12-30 18:43 apn Assigned To bugmaster => apn
2017-12-30 18:43 apn Status tested => verified
2017-12-30 18:43 apn Resolution open => fixed
2018-01-11 11:10 git Note Added: 0073306
2018-02-20 12:58 user533 Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker